Change log for xom package in Ubuntu

112 of 12 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2016-04-08
Superseded in xenial-release on 2016-04-08
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed (Reason: moved to release)
xom (1.2.10-1) unstable; urgency=low


  * New upstream release
  * Updated the Maven pom
  * Refreshed the patches
  * Added a patch to include the Ant runtime when compiling
  * Added a patch to replace jarjar with the regular jar Ant task
  * Removed 0004-Remove-sun-imports.patch since the JDK15XML1_0Parser is really
    meant to be used with the parser provided by the JDK and not the standalone
    version of Xerces.
  * Moved the samples jar in the documentation package
  * debian/control:
    - Added the missing runtime dependency on libxerces2-java (Closes: #628142)
    - Updated Standards-Version to 3.9.4 (no changes)
    - Use canonical URLs for the Vcs-* fields
    - Removed the article at the beginning of the short description

 -- Emmanuel Bourg <email address hidden>  Thu, 25 Jul 2013 15:37:37 +0200
Superseded in saucy-release on 2013-07-25
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
xom (1.2.1-3build1) quantal; urgency=low

  * No-change rebuild with openjdk-7 as default-jdk.
 -- James Page <email address hidden>   Fri, 18 May 2012 11:49:16 +0100

Available diffs

Superseded in quantal-release on 2012-05-18
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
xom (1.2.1-3) unstable; urgency=low

  * Team upload.

  [ Torsten Werner ]
  * Remove new patch from last version because gcj was broken.

  [ Damien Raude-Morvan ]
  * Apply patch from James Pages <email address hidden>. Thanks :
  * Enabled maven artifact deployment (LP: #715684) (Closes: #612592).
    - debian/control: Build-Depends added maven-repo-helper
    - debian/rules: install maven artifacts and new target to retrieve
      original POM file.
    - debian/poms/xom.pom: localised pom for maven
    - debian/libxom-java.poms: pom reference locations
  * Update Standards-Version: 3.9.2:
    - Rename debian/README.Debian-source to debian/README.source.
  * Drop Depends on JRE since it's a library (as per Debian Java Policy).
 -- James Page <email address hidden>   Wed,  04 May 2011 14:41:54 +0000

Available diffs

Superseded in oneiric-release on 2011-05-04
Obsolete in natty-release on 2013-06-04
xom (1.2.1-2ubuntu1) natty; urgency=low

  * Enabled maven artifact deployment (LP: #715684):
    - debian/control: Build-Depends-Indep added maven-repo-helper
    - debian/rules: install maven artifacts and new target to retrieve
      original POM file.
    - debian/poms/xom.pom: localised pom for maven
    - debian/libxom-java.poms: pom reference locations
  * Update Standards-Version: 3.9.1, no changes.
 -- James Page <email address hidden>   Wed, 05 Jan 2011 14:59:38 +0000

Available diffs

Superseded in natty-release on 2011-02-14
Obsolete in maverick-release on 2013-03-05
xom (1.2.1-2) unstable; urgency=low

  * Convert patches to dep3 format.
  * Add a patch for ant 1.8. (Closes: #571391)
  * Fine tune build dependencies to default-jdk.
  * Convert to source format 3.0.
  * Update Standards-Version: 3.8.4.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  09 May 2010 14:08:45 +0100

Available diffs

Superseded in maverick-release on 2010-05-09
Obsolete in lucid-release on 2016-10-26
xom (1.2.1-1) unstable; urgency=low

  * New upstream release
  * Convert to default-jdk/jre, thanks to Chris Cheney for the patch
    (Closes: #508979)
  * Bump Standards-Version to 3.8.1
  * Switch to quilt for managing patches
 -- Matthias Klose <email address hidden>   Wed,  20 Jan 2010 01:37:35 +0000

Available diffs

Superseded in lucid-release on 2010-01-20
Obsolete in karmic-release on 2013-03-04
Superseded in karmic-release on 2009-08-26
Superseded in karmic-release on 2009-05-11
Obsolete in jaunty-release on 2013-02-28
xom (1.1-3ubuntu4) jaunty; urgency=low

  * Revert "Update default-jdk -> default-jdk-builddep to resolve FTBFS",
    gcj isn't used in this package.
  * Workaround hotspot error by using the cacao VM. LP: #329903.

 -- Matthias Klose <email address hidden>   Tue, 17 Mar 2009 13:30:45 +0100

Available diffs

Superseded in jaunty-release on 2009-03-17
xom (1.1-3ubuntu3) jaunty; urgency=low

  * Set Maintainer to Ubuntu Core Developers.

 -- Alessio Treglia <email address hidden>   Mon, 16 Feb 2009 01:10:10 +0100

Available diffs

Superseded in jaunty-release on 2009-02-16
Superseded in jaunty-release on 2009-01-09
xom (1.1-3ubuntu2) jaunty; urgency=low

  * Update default-jdk -> default-jdk-builddep to resolve FTBFS

 -- Chris Cheney <email address hidden>   Wed, 17 Dec 2008 00:45:00 -0600

Available diffs

Superseded in jaunty-release on 2008-12-17
xom (1.1-3ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - default-java transition.

 -- Chris Cheney <email address hidden>   Wed, 17 Dec 2008 00:15:00 -0600

Available diffs

Superseded in jaunty-release on 2008-12-17
Obsolete in intrepid-release on 2013-02-20
xom (1.1-3) unstable; urgency=low

  * debian/control:
    + Use my debian.org e-mail address.
    + Standards Version is now 3.7.3 (no changes needed.)
  * debian/libxom-java-doc.doc-base:
    + Use "Author" field instead of "Authors".
  

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  02 May 2008 02:35:14 +0100
Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
xom (1.1-2) unstable; urgency=low

  [ Torsten Werner ]
  * Fix Depends: libjaxen-java.

  [ Varun Hiremath ]
  * Add 05_build.patch to fix javadoc build
  * Add libxom-java-doc.doc-base
  * Clean up debian/rules and remove useless stuff.
  * debian/rules: remove ecj from Build-Depends - not required.

112 of 12 results